﻿// // ******************************************************************
// //       /\ /|       @File         DecodeResult.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include <vector>
//#include "Channels.h"
#include "BaseEnums/ProtocolEnums.h"

namespace Protocol
{
    struct DecodeResultCell
    {
        int64_t StartIndex = -1; //结果时域起始帧
        int64_t Length = -1; //结果时域帧长度
        uint8_t* Data = {}; //结果数据数组
        int64_t DataCount; //数据数组长度
        bool IsEventInfo = false; //是否是事件帧
    };


    struct DecodeResult
    {
        //协议类型
        //virtual SerialProtocolType GetProtocolType();
        SerialProtocolType ProtocolType;
        //结果有效
        bool ResultValid = false;
        //结果数据 子协议实现扩展
        void* ResultDataPtr;
    };
}
