﻿// // ******************************************************************
// //       /\ /|       @File         ProtocolDecodeBase.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <iostream>
#include <memory>
#include <thread>
#include <atomic>
#include <vector>
#include <string>
#include <stdexcept>

#include "DecodeResult.h"
#include "BaseEnums/ProtocolEnums.h"
#include "BaseHelper/Logger.h"

#define DLL_VERSION "0.1.0"

namespace Protocol
{
    class QuantizeParams;
    struct DecodeParams;

    // 取消解码
    void cancel();
    inline bool canceled = false;// 取消标志
    inline auto status = ProtocolStatus::Canceled; // 解码状态

};
