﻿// // ******************************************************************
// //       /\ /|       @File         Protocol.RS232.Options.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once

//#include "../CommonBase/Enums/Channels.h"
#include "ProtocolRS232Enums.h"

namespace Protocol
{
    struct ProtocolRS232Options
    {
        unsigned int BaudRate; //波特率
        Protocol::OddEvenCheck OddEvenCheckType; //奇偶检验类型  None,Odd,Even

        Protocol::Polarity Polarity; //电平极性  None, Pos,  Neg
        Protocol::SignalType SignalType; //信号类型   SingleEnded单端,Diff差分
        //Protocol::ChannelId Source; //信源号
        Protocol::MSBOrLSB MSBOrLSB; //大小端

        Protocol::RS232Enums::DataBitWidth DataBitWidth; //数据位宽
        Protocol::RS232Enums::StopBit StopBit; //停止位
        float Threshold; //电平阈值
    };
}
