﻿// // ******************************************************************
// //       /\ /|       @File         RS232Decode.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include <future>

#include "../BaseHelper/CommonHelper.h"
// #include "../CommonBase/EnumTypeInfo.h"
#include "../EdgePulseData.h"
// #include "Constants.h"
#include "ProtocolRS232Enums.h"
#include "RS232Params.h"
#include "RS232DecodeResult.h"
//#include "RS232Packet.h"
#include "../ProtocolDecodeBase.h"
#include "Protocol.RS232.Options.h"
#include "../BaseHelper/Logger.h"

namespace Protocol
{
    static bool getRS232Bit(TwoLevelEdgePulse*& edgePulse,
                            int32_t targetIndex, TwoLevelEdgePulseStatusType& status);
    inline std::vector<const char*> eventInfoTitles = {
        "Index", "Start Time", "Data", "Parity", "Error"
    };

    std::vector<const char*> getEventInfoTitles();
     
    
}
