﻿// // ******************************************************************
// //       /\ /|       @File         RS232DecodeResult.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include "ProtocolRS232Enums.h"
#include "../DecodeResult.h"
#include "RS232Packet.h"
#include "RS232DecodeEvent.h"

namespace Protocol
{
    struct RS232DecodeResultCell : DecodeResultCell
    {
    };

    struct RS232DecodeResult // : DecodeResult
    {
        // SerialProtocolType GetProtocolType() override
        // {
        //     return SerialProtocolType::RS232;
        // }
        //
        // void ClearData();
        bool DecodeResultNeedUpdate = false;
        bool DecodeEventNeedUpdate = false;
        RS232DecodeResultCell* DecodeResultUnitsPtr; //解码数据结果指针
        RS232DecodeEvent* DecodeEventsPtr; //解码结果事件指针
        uint64_t DecodeResultCount; //结果数量
        uint64_t DecodeEventCount; //事件数量
    };
}
