﻿// // ******************************************************************
// //       /\ /|       @File         QuantizeParams.cpp
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#include "QuantizeParams.h"

namespace Protocol
{
    QuantizeParams::QuantizeParams(): LevelOption(), BitDepth(0)
    {
        // 初始化默认参数...
    }

    QuantizeParams::QuantizeParams(const QuantizeParams& quantizeParams): LevelOption(quantizeParams.LevelOption),
                                                                          BitDepth(quantizeParams.BitDepth)

    {
    }

    QuantizeParams::~QuantizeParams() = default;
}
