﻿// // ******************************************************************
// //       /\ /|       @File         EdgePulseEnums.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>

namespace Protocol
{
    enum class ThreeLevelEdgePulseStatusType : uint8_t
    {
        High = 0b11,
        Middle = 0b01,
        Low = 0b00,
        None = 0b10,
    };

    enum class TwoLevelEdgePulseStatusType
    {
        Low,
        High,
        None,
    };

    enum class SignType
    {
        SingleEnded,
        Diff
    };
}
