﻿// // ******************************************************************
// //       /\ /|       @File         ProtocolDecodeBase.cpp
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-05-16
// //    *(__\_\
// // ******************************************************************

#include "ProtocolDecodeBase.h"
//#include "DecodeParams.h"
#include "QuantizeParams.h"
#include "BaseHelper/Logger.h"
//#include "ProtocolUSB/UsbDecode.h"
#include "ProtocolRS232/RS232Decode.h"

namespace Protocol
{
 

}

void getVersionExport(uint8_t* version)
{
#ifdef  DLL_VERSION
    // 将字符串转换为字符数组
    constexpr char versionString[] = DLL_VERSION;

    // 遍历字符串，将其转换为字节数组
    for (size_t i = 0; i < sizeof(versionString); ++i)
    {
        version[i] = static_cast<unsigned char>(versionString[i]);
    }
#else
    version[0] = 0;
    version[1] = 0;
    version[2] = 0;
#endif
}
